<?php
namespace BotGuard;

use BotGuard\BotGuard;

class RulesTab extends BaseISPFunction {

	public function execute(string $func, string $action = '') {
		$domains = array_keys($this->getDomains());

		if (isset($_SERVER['PARAM_domains']) && in_array($this->punycode($_SERVER['PARAM_domains']), $domains)) {
			$d = urlencode($this->punycode($_SERVER['PARAM_domains']));
		} else if (isset($_SERVER['PARAM_elid']) && in_array($this->punycode($_SERVER['PARAM_elid']), $domains)) {
			$d = urlencode($this->punycode($_SERVER['PARAM_elid']));
		} else {
			if (empty($domains)) {
				$this->error('no_domains', $func, $action);
				exit;
			}
			$d = urlencode($this->punycode($domains[0]));
		}

		if (empty($this->settings['botguard-api-key'])) {
			$this->error('no_api_key', $func, $action);
			exit;
		}

		$botguard = new BotGuard($this->settings['botguard-api-key']);

		$lang = 'en';
		switch ($this->lang) {
			case 'es':
				$lang = 'es';
				break;
			case 'ru':
			case 'ua':
			case 'by':
			case 'tj':
			case 'uz':
			case 'kg':
			case 'kz':
			case 'tm':
				$lang = 'ru';
				break;
			case 'pl':
				$lang = 'pl';
				break;
			case 'pt':
				$lang = 'pt';
				break;
		}

		$url = $botguard->getRulesEditorPageLink($d, $lang);
		echo <<<XML
<?xml version="1.0" encoding="UTF-8"?>
<doc lang="{$this->lang}" themename="{$this->theme}" func="{$func}" action="{$action}">
	<domains>{$d}</domains>
	<slist name="domains">
XML;
		foreach ($domains as $domain) {
			echo '<val>', $domain, '</val>';
		}
		echo <<<XML
</slist>
<frame>{$url}</frame>
</doc>
XML;
	}

}
