<?php
namespace BotGuard;

use BotGuard\BotGuard;

class WebDomainResume extends BaseISPFunction {

	public function execute(string $func, string $action = '') {
		if (empty($this->settings['botguard-api-key'])) {
			$this->error('no_api_key', $func, $action);
			exit(400);
		}

		$d = [];
		if (isset($_SERVER['PARAM_elids'])) {
			$d = array_map('trim', explode(',', $_SERVER['PARAM_elids']));;
		} else if (isset($_SERVER['PARAM_elid'])) {
			$d[] = trim($_SERVER['PARAM_elid']);
		} else if (isset($_SERVER['PARAM_name'])) {
			$d[] = trim($_SERVER['PARAM_name']);
		} else {
			exit(400);
		}

		$botguard = new BotGuard($this->settings['botguard-api-key']);
		foreach($d as $item) {
			try {
				$botguard->unsuspendDomain($this->punycode($item));
			} catch (\Exception $ex) { };
		}

		echo <<<XML
<?xml version="1.0" encoding="UTF-8"?>
<doc lang="{$this->lang}" themename="{$this->theme}" func="{$func}" action="{$action}">
</doc>
XML;
	}

}
